Bug 16637 - Can we have a site heading element to contain the title/logo of the site instead of people having to use h1 tags for the name of the site. It seems to be causing a lot of confusion about what to do. Thanks.
Summary: Can we have a site heading element to contain the title/logo of the site inst...
Status: RESOLVED WORKSFORME
Alias: None
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec (show other bugs)
Version: unspecified
Hardware: Other other
: P3 normal
Target Milestone: ---
Assignee: This bug has no owner yet - up for the taking
QA Contact: HTML WG Bugzilla archive list
URL: http://www.whatwg.org/specs/web-apps/...
Whiteboard:
Keywords: a11y
Depends on:
Blocks:
 
Reported: 2012-04-04 14:12 UTC by contributor
Modified: 2012-09-14 11:15 UTC (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-04-04 14:12:52 UTC
Specification: http://dev.w3.org/html5/spec/single-page.html
Multipage: http://www.whatwg.org/C#top
Complete: http://www.whatwg.org/c#top

Comment:
Can we have a site heading element to contain the title/logo of the site
instead of people having to use h1 tags for the name of the site. It seems to
be causing a lot of confusion about what to do.

Thanks.

Posted from: 193.203.240.199
User agent: Mozilla/5.0 (Windows NT 6.0; rv:11.0) Gecko/20100101 Firefox/11.0
Comment 1 contributor 2012-07-18 07:18:11 UTC
This bug was cloned to create bug 17925 as part of operation convergence.
Comment 2 Robin Berjon 2012-09-14 11:15:33 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are
satisfied with this response, please change the state of this bug to CLOSED. If
you have additional information and would like the Editor to reconsider, please
reopen this bug. If you would like to escalate the issue to the full HTML
Working Group, please add the TrackerRequest keyword to this bug, and suggest
title and text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this document:

   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Rationale: The header element works great for this.